Subject: Auxiliary types (was Re: Space Fox and System 6?)
From: [email-masked] (David Empson)
Date: Wed, 2 Feb 1994 14:05:20 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]> [email-masked] (The Prisoner) writes:
> Uh... I think the Auxtype should be $DB02... way back when System 6 was just
> released, I contacted Dave Lyons and described the Problem and after
> I switched all the $B3 and $B5 files to a $DB02 Auxtype and they
> worked fine... something about Smoothlaunch... 

For GS/OS applications and shell EXE files (types $B3 and $B5), the
last digit of the auxiliary type is defined on a bit-by-bit basis.

The high byte must be $DB, or the low byte is invalid.

Bit 0 means the application is GS/OS aware, in that it uses prefix
numbers 8 and higher, rather than the ProDOS-16 prefixes (0 through
7), and can cope with long pathnames.

Bit 1 means it is a desktop application, and is able to cope with the
super hi-res screen being active when the program starts up (or the
text screen, for that matter).

Bit 2 means it is "message aware" - it uses the pathname message
supplied by Finder when you launch an application by double-clicking a
document (or selecting the document then using the Open or Print
command).

Thus, the valid auxiliary types are:

	Message aware	Desktop app	GS/OS aware
$DB00   No		No		No
$DB01   No		No		Yes
$DB02   No		Yes		No
$DB03   No		Yes		Yes
$DB04   Yes		No		No
$DB05   Yes		No		Yes
$DB06   Yes		Yes		No
$DB07   Yes		Yes		Yes

This is documented in the File Type Notes for file types $B3 and $B5.
Refer there for more information.
-- 
David Empson                                                               
[email-masked]                                                
Snail mail: P.O. Box 27-103, Wellington, New Zealand